For the complete documentation index, see llms.txt. This page is also available as Markdown.

Notification

All the endpoints that can be called on the Notification controller.

All the endpoints require the SETTINGS_CRUD permission.

index

get

Returns all notifications for this user found by UID and marks them all as read.

Authorizations
HTTPRequired
Responses
200

Successful response

application/json
get/api/v2/notification
GET /api/v2/notification HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

item

get

Returns this specific notification by its ID.

Authorizations
HTTPRequired
Path parameters
idstringRequired
Responses
200

Successful response

application/json
get/api/v2/notification/{id}
GET /api/v2/notification/{id} HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

setIsRead

put

Marks this notification as read.

Authorizations
HTTPRequired
Body
idstringOptional
Responses
200

Successful response

application/json
put/api/v2/notification/setIsRead
PUT /api/v2/notification/setIsRead HTTP/1.1
Host: {{base_url}}
Authorization: apikey YOUR_SECRET_TOKEN
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 13

"id='text'"
200

Successful response

Last updated